<?php
/**
 * @package     gantry
 * @subpackage  features
 * @version		3.1.7 January 31, 2011
 * @author		RocketTheme http://www.rockettheme.com
 * @copyright 	Copyright (C) 2007 - 2011 RocketTheme, LLC
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * Gantry uses the Joomla Framework (http://www.joomla.org), a GNU/GPLv2 content management system
 *
 */

defined('JPATH_BASE') or die();

gantry_import('core.gantryfeature');

/**
 * @package     gantry
 * @subpackage  features
 */
class GantryFeatureStyleDeclaration extends GantryFeature {
    var $_feature_name = 'styledeclaration';

    function isEnabled() {
        global $gantry;
        $menu_enabled = $this->get('enabled');

        if (1 == (int)$menu_enabled) return true;
        return false;
    }

	function init() {
        global $gantry;
        
        $patterns = array(
        	'pattern1' 	=> 'url('.$gantry->templateUrl.'/images/patterns/pattern_1.jpg) center top no-repeat #000',
        	'pattern2' 	=> 'url('.$gantry->templateUrl.'/images/patterns/pattern_2.jpg) center top no-repeat #000',
			'pattern3' 	=> 'url('.$gantry->templateUrl.'/images/patterns/pattern_3.jpg) center top no-repeat #62783a',	
			'pattern4' 	=> 'url('.$gantry->templateUrl.'/images/patterns/pattern_4.jpg) center top no-repeat #9AA847',
			'pattern5' 	=> 'url('.$gantry->templateUrl.'/images/patterns/pattern_5.jpg) center top no-repeat #7C851C',
			'pattern6' 	=> 'url('.$gantry->templateUrl.'/images/patterns/pattern_6.jpg) center top no-repeat #617A43',
			'none' 	=> ' ',
		);
		$backgroundCss = $patterns[$gantry->get('pattern')].$gantry->get('bgcolor');

        $css  = 'body {background: '.$backgroundCss.';}';
        
        $gantry->addInlineStyle($css);

	}

}